# Uses of Class
javax.help.event.HelpSetEvent

Packages that use HelpSetEvent
Package
Description
javax.help
Supports presentation of online documentation with both content and contextual views of this information.
javax.help.event
Supports event changes in JavaHelp classes.
javax.help.plaf.basic

## Uses of HelpSetEvent in javax.help

Methods in javax.help with parameters of type HelpSetEvent
Modifier and Type
Method
Description
`void`
JHelp.`helpSetAdded(HelpSetEvent e)`
Adds a new HelpSet to "our" HelpSet.
`void`
JHelp.`helpSetRemoved(HelpSetEvent e)`
Removes a HelpSet from "our" HelpSet.

## Uses of HelpSetEvent in javax.help.event

Methods in javax.help.event with parameters of type HelpSetEvent
Modifier and Type
Method
Description
`void`
HelpSetListener.`helpSetAdded(HelpSetEvent e)`
Invoked when a new HelpSet is added.
`void`
HelpSetListener.`helpSetRemoved(HelpSetEvent e)`
Invoked when a new HelpSet is removed.

## Uses of HelpSetEvent in javax.help.plaf.basic

Methods in javax.help.plaf.basic with parameters of type HelpSetEvent
Modifier and Type
Method
Description
`void`
BasicFavoritesNavigatorUI.`helpSetAdded(HelpSetEvent ev)`
`void`
BasicFavoritesNavigatorUI.`helpSetRemoved(HelpSetEvent ev)`